Last Comment Bug 864499 - adding "due date" to the Marketing Product.
: adding "due date" to the Marketing Product.
Status: VERIFIED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
: Liz Henry (:lizzard) (needinfo? me)
:
Mentors:
Depends on:
Blocks: 864504
  Show dependency treegraph
 
Reported: 2013-04-22 14:11 PDT by Tara (musingt)
Modified: 2013-04-26 12:54 PDT (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Due Date with 00:00:00 stamp. (10.77 KB, image/png)
2013-04-25 12:40 PDT, Tara (musingt)
no flags Details

Description Tara (musingt) 2013-04-22 14:11:22 PDT
hi! I am so happy to see that there is a "due date" category that I can use to customize my view in bugzilla. I don't see that section within the bug for me to configure, I'd love to add that in to help with bug management, please.  I'm mainly operating within the Marketing (design / copy / video) components for Brand Engagement... but if this can be added to all of Marketing, that would be great.  whichever is easier / faster.  Please let me know if I can help clarify anything.  and huge thanks in advance.
Comment 1 Tara (musingt) 2013-04-22 14:26:05 PDT
apologies, changing the title to reflect the right language:

* Marketing "product"
* Design/Copy/Video "Component"
Comment 2 David Lawrence [:dkl] 2013-04-22 15:17:26 PDT
As this requires a code push, it will show up after this weeks update sometime after Wednesday.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/BMO/lib/Data.pm
Committed revision 8750.

dkl
Comment 3 Tara (musingt) 2013-04-22 15:30:57 PDT
wohoo!  thank you :)
Comment 4 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-04-23 22:41:06 PDT
this change has been pushed to production.
Comment 5 Tara (musingt) 2013-04-25 12:39:43 PDT
Hi! just saw this added and am super excited.  Thanks again.  I have a question though wrt formatting.  It seems to also include a time stamp? is it possible to change that? the time stamp isn't relevant to us and it adds extra noise that I'd rather avoid if I can.  attaching a screenshot to show this.  Let me know, thanks again.
Comment 6 Tara (musingt) 2013-04-25 12:40:33 PDT
Created attachment 741987 [details]
Due Date with  00:00:00 stamp.
Comment 7 David Lawrence [:dkl] 2013-04-26 12:54:03 PDT
(In reply to Tara (musingt) from comment #5)
> Hi! just saw this added and am super excited.  Thanks again.  I have a
> question though wrt formatting.  It seems to also include a time stamp? is
> it possible to change that? the time stamp isn't relevant to us and it adds
> extra noise that I'd rather avoid if I can.  attaching a screenshot to show
> this.  Let me know, thanks again.

Unfortunately the Due Date custom field is of type DATETIME which contains a timestamp as well. To properly fix this we should backport bug 801664 to bmo/4.2 from upstream and then change the Due Date field to the new DATE type without timestamp. Of course this is only if people have not been inputting timestamps into the current field which may make it difficult to just switch over. 

Anyway, I am opening a new bug report about the porting and we can discuss this further there.

bug 866248

dkl

Note You need to log in before you can comment on or make changes to this bug.